# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/install ElectricFence glib-devel
# END SourceDeps(oneline)
Summary: Compiles information about file transfers from logfiles
Name: xferstats
Version: 2.16
Release: alt1_27
URL: http://xferstats.off.net/
Source0: ftp://xferstats.off.net/%{name}-%{version}.tar.gz
Patch0: xferstats.patch
Patch1: xferstats-2.16-config-loc.patch
Patch2: xferstats-2.16-display.patch
Patch3: xferstats-glib2.patch
Patch4: xferstats-2.16-man.patch
License: GPLv2+
Group: File tools

BuildRequires: autoconf glib2-devel
Source44: import.info

%description
xferstats compiles information about file transfers from logfiles.

%prep
%setup -q

%patch0 -p1
%patch1 -p1 -b .config
%patch2 -p1 -b .display
%patch3 -p1 -b .glib2
%patch4 -p1 -b .man

%build
sed -e "s,PKG_PROG_PKG_CONFIG.*,PKG_CONFIG=%{_bindir}/pkg-config," %{_datadir}/aclocal/glib-2.0.m4 >aclocal.m4
autoconf
%configure

make %{?_smp_mflags}

%install
%makeinstall_std DESTDIR=%{buildroot}

mkdir -p %{buildroot}%{_datadir}/xferstats/
cp -a graphs %{buildroot}%{_datadir}/xferstats/

%files
%doc ChangeLog
%config(noreplace) %{_sysconfdir}/xferstats.cfg
%{_bindir}/xferstats
%{_mandir}/*/*
%{_datadir}/xferstats

%changelog
* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 2.16-alt1_27
- update to new release by fcimport

* Tue Apr 30 2013 Igor Vlasenko <viy@altlinux.ru> 2.16-alt1_26
- initial fc import

